libzypp 17.37.10

zypp::NamedValue< Tp, _tWithAlias >::TInserter Class Reference

`#include <zypp/base/NamedValue.h>`

## Public Member Functions
| TInserter (NamedValue &parent_r, const Tp &value_r)
TInserter & | operator| (const std::string &name_r)

## Private Attributes
NamedValue * | _parent
Tp | _value

## Detailed Description

template<class Tp, const bool _tWithAlias = true>
class zypp::NamedValue< Tp, _tWithAlias >::TInserter

Definition at line 109 of file NamedValue.h.

## Constructor & Destructor Documentation

## ◆ TInserter()

template<class Tp, const bool _tWithAlias = true>

zypp::NamedValue< Tp, _tWithAlias >::TInserter::TInserter | ( | NamedValue & | parent_r,
|  | const Tp & | value_r )
| inline

Definition at line 112 of file NamedValue.h.

## Member Function Documentation

## ◆ operator|()

template<class Tp, const bool _tWithAlias = true>

TInserter & zypp::NamedValue< Tp, _tWithAlias >::TInserter::operator| | ( | const std::string & | name_r | ) |
| inline

Definition at line 116 of file NamedValue.h.

## Member Data Documentation

## ◆ _parent

template<class Tp, const bool _tWithAlias = true>

NamedValue* zypp::NamedValue< Tp, _tWithAlias >::TInserter::_parent
| private

Definition at line 119 of file NamedValue.h.

## ◆ _value

template<class Tp, const bool _tWithAlias = true>

Tp zypp::NamedValue< Tp, _tWithAlias >::TInserter::_value
| private

Definition at line 120 of file NamedValue.h.

The documentation for this class was generated from the following file:

- zypp/base/NamedValue.h